Mailinglist Archive: opensuse-packaging (121 mails)

< Previous Next >
[opensuse-packaging] Updating libfuse rpm
  • From: Goldwyn Rodrigues <rgoldwyn@xxxxxxx>
  • Date: Fri, 29 Mar 2019 13:54:05 -0500
  • Message-id: <20190329185405.wbc7vi2hte45gssq@merlin>
Hello,

I am planning on updating libfuse from version 2.9.9 to
3.4.2. Currently, we have both libfuse2 (source fuse-2.9.9 or just
fuse) and libfuse3 (source fuse-3.4.2 or fuse3). It would be nice
if all users would move from libfuse2 to libfuse3.

What would be the best method to accomplish this:
1. Simply update fuse to fuse-3.4.2
2. Mark fuse 3.4.2 as obsoletes fuse < 3, and ship both for a
while
3. Any other method

I am afraid we will break depending applications if we choose 1,
though it should be compatible.


--
Goldwyn
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation
Follow Ups